## org.red5.server.net.rtmp.event
Class FLVData

    java.lang.Object
      org.red5.server.net.rtmp.event.FLVData

    public class FLVData

extends Object

Field Summary
`static int` `AUDIO_ADPCM` ADPCM data
`static int` `AUDIO_MP3` MP3 data
`static int` `AUDIO_NELLYMOSER` Nellymoser encoded data
`static int` `AUDIO_NELLYMOSER_8KHZ` Nellymoser 8khz rate data
`static int` `AUDIO_SPEEX` Speex encoded data
`static int` `AUDIO_UNCOMPRESSED` Uncompressed
`protected IoBuffer` `data`
`static int` `FRAMETYPE_DISPOSABLE` Disposable
`static int` `FRAMETYPE_INTERFRAME` Interframe
`static int` `FRAMETYPE_KEYFRAME` Keyframe
`static int` `SOUND_RATE_11_KHZ` Sound size when 11 khz rate marker
`static int` `SOUND_RATE_22_KHZ` Sound size when 22 khz rate marker
`static int` `SOUND_RATE_44_KHZ` Sound size when 44 khz rate marker
`static int` `SOUND_RATE_5_5_KHZ` Sound size when 5.5 khz rate marker
`static int` `SOUND_SIZE_16_BIT` Sound size when 16 khz quality marker
`static int` `SOUND_SIZE_8_BIT` Sound size when 8 khz quality marker
`protected int` `timestamp`
`static int` `TYPE_AUDIO` Audio data
`static int` `TYPE_METADATA` Metadata
`static int` `TYPE_VIDEO` Video data
`static int` `VIDEO_ON2_VP6` ON2 VP6 codec marker
`static int` `VIDEO_SCREEN_VIDEO` Screen video
`static int` `VIDEO_SORENSON_H263` Sorensen H263 codec marker

Constructor Summary
`FLVData()`

Method Summary
`int` `getCodec()` Getter for codec.
`boolean` `isDisposable()` Getter for disposable state

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected IoBuffer data

### timestamp

    protected int timestamp

### TYPE_AUDIO

    public static final int TYPE_AUDIO

  Audio data

  See Also:
    Constant Field Values

### TYPE_VIDEO

    public static final int TYPE_VIDEO

  Video data

  See Also:
    Constant Field Values

### TYPE_METADATA

    public static final int TYPE_METADATA

  Metadata

  See Also:
    Constant Field Values

### VIDEO_SORENSON_H263

    public static final int VIDEO_SORENSON_H263

  Sorensen H263 codec marker

  See Also:
    Constant Field Values

### VIDEO_SCREEN_VIDEO

    public static final int VIDEO_SCREEN_VIDEO

  Screen video

  See Also:
    Constant Field Values

### VIDEO_ON2_VP6

    public static final int VIDEO_ON2_VP6

  ON2 VP6 codec marker

  See Also:
    Constant Field Values

### FRAMETYPE_KEYFRAME

    public static final int FRAMETYPE_KEYFRAME

  Keyframe

  See Also:
    Constant Field Values

### FRAMETYPE_INTERFRAME

    public static final int FRAMETYPE_INTERFRAME

  Interframe

  See Also:
    Constant Field Values

### FRAMETYPE_DISPOSABLE

    public static final int FRAMETYPE_DISPOSABLE

  Disposable

  See Also:
    Constant Field Values

### AUDIO_UNCOMPRESSED

    public static final int AUDIO_UNCOMPRESSED

  Uncompressed

  See Also:
    Constant Field Values

### AUDIO_ADPCM

    public static final int AUDIO_ADPCM

  ADPCM data

  See Also:
    Constant Field Values

### AUDIO_MP3

    public static final int AUDIO_MP3

  MP3 data

  See Also:
    Constant Field Values

### AUDIO_NELLYMOSER_8KHZ

    public static final int AUDIO_NELLYMOSER_8KHZ

  Nellymoser 8khz rate data

  See Also:
    Constant Field Values

### AUDIO_NELLYMOSER

    public static final int AUDIO_NELLYMOSER

  Nellymoser encoded data

  See Also:
    Constant Field Values

### AUDIO_SPEEX

    public static final int AUDIO_SPEEX

  Speex encoded data

  See Also:
    Constant Field Values

### SOUND_SIZE_8_BIT

    public static final int SOUND_SIZE_8_BIT

  Sound size when 8 khz quality marker

  See Also:
    Constant Field Values

### SOUND_SIZE_16_BIT

    public static final int SOUND_SIZE_16_BIT

  Sound size when 16 khz quality marker

  See Also:
    Constant Field Values

### SOUND_RATE_5_5_KHZ

    public static final int SOUND_RATE_5_5_KHZ

  Sound size when 5.5 khz rate marker

  See Also:
    Constant Field Values

### SOUND_RATE_11_KHZ

    public static final int SOUND_RATE_11_KHZ

  Sound size when 11 khz rate marker

  See Also:
    Constant Field Values

### SOUND_RATE_22_KHZ

    public static final int SOUND_RATE_22_KHZ

  Sound size when 22 khz rate marker

  See Also:
    Constant Field Values

### SOUND_RATE_44_KHZ

    public static final int SOUND_RATE_44_KHZ

  Sound size when 44 khz rate marker

  See Also:
    Constant Field Values

Constructor Detail

### FLVData

    public FLVData()

Method Detail

### isDisposable

    public boolean isDisposable()

  Getter for disposable state

  Returns:
    `true` if FVL data is disposable, `false` otherwise

### getCodec

    public int getCodec()

  Getter for codec. Returns 0 by now.

  Returns:
    Codec

Copyright © 2006-2010 The Red5 Project